
QGIS Application - Bug report #16986

a new bookmark is apparently not created after the first one, if only QGIS bookmarks are present

2017-08-08 09:52 PM - Steven Mizuno

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24885

Description

If there are existing QGIS bookmarks a new one is apparently not created; it does not show in the bookmarks panel with the name field in

edit mode for giving it a name.

A new bookmark is created in tbl_bookmarks.

You can create a new bookmark when there aren't any existing, as on a fresh installation of QGIS.

Additionally, you can add a new bookmark when there are project bookmarks, but a project bookmark will seem to disappear from the list

as it appears overwritten by the new bookmark.

This is a regression from 2.18.

I am using OSGeo4W nightly build on Windows 8.1 64-bit system.

Related issues:

Duplicated by QGIS Application - Bug report # 17539: I can only create one sp... Closed 2017-11-23

History

#1 - 2017-08-09 09:06 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-11-29 02:41 PM - Alessandro Pasotti

- Duplicated by Bug report #17539: I can only create one spatial Bookmark in current master added

#3 - 2017-11-29 02:41 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Assignee set to Alessandro Pasotti

- Status changed from Open to Closed
